import { Widget } from '@webprovisions/platform';
export interface BootstrappingActivationData {
    /**
     * The HTMLElement that is the source of activation.
     */
    sourceDOMElement: HTMLElement;
    /**
     * The type of event that triggered activation.
     */
    eventType: string;
    /**
     * Data attributes on the source element.
     */
    data: {
        [name: string]: string;
    };
}
export default function supportBootstrapping(instance: Widget, eventType: string, onBootstrap: (data: BootstrappingActivationData) => void): void;
